function h_sensors = drawSensorOris(SensorOris,mesh, frame)
%% This function draw the sensor coordinate system
% DRAWSENSORORIS Draws the local coordinate system axis of the
% sensors in the global frame
% Note that in the CVPR paper "Multisensor Fusion... " we use the
% sensor data without actually knowing the location of the sensor.
% For visualization we plot the coordinate in the joint of the
% segment the sensor is located.
% function  h_sensors = DrawSensorOris(SensorOris,mesh, frame)
%
% This function is part of the MPI08 data set, to be obtained at 
% http://www.tnt.uni-hannover.de/project/MPI08_Database/
%
% Written by: Gerard Pons
% Revision:   1.0
% Date:       20.10.2010
%
% Copyright 2010, MPI Informatik, Germany, and Hannover University, Germany.
% All Rights Reserved Permission to use, copy, modify, and distribute this
% software and its documentation for any non-commercial purpose is hereby
% granted without fee, provided that the above copyright notice appear in
% all copies and that both that copyright notice and this permission
% notice appear in supporting documentation, and that the name of the
% author not be used in advertising or publicity pertaining to distribution
% of the software without specific, written prior permission.
% THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
% INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY
% PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
% SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
% RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
% CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
% CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
scaleAxis=0.25;
for s=1:5       %Number of Sensors = 5
    ID=SensorOris(s).JointID;
    location=mesh(frame).skel.nodes(ID).position;
    sensorOris=SensorOris(s).quaternions(:,frame);
    ini_h=3*(s-1)+1;
    end_h=ini_h+2;    %ini_h,end_h: start and end indices of the vector of handles
    h_sensors(ini_h:end_h)=drawCoordinateSystem(quat2matrix(sensorOris),location ,scaleAxis);
end
end
